package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*购物车
* @author quyixiao
* @since 2025-12-03
*/

@Data
@TableName("vv_trade_order_line")
public class VvTradeOrderLineEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvTradeOrderLineEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                                       // 
    public final static String is_delete = CLASS_NAME + "is_delete";                                          // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                                      // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                                      // 修改时间
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";                            // 创建时间
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";                            // 修改时间
    public final static String num_ = CLASS_NAME + "num";                                                     // 数量
    public final static String sale_price = CLASS_NAME + "sale_price";                                        // 单价
    public final static String trade_order_id = CLASS_NAME + "trade_order_id";                                // 订单号
    public final static String track_number = CLASS_NAME + "track_number";                                    // 包裹追踪号
    public final static String refund_amount = CLASS_NAME + "refund_amount";                                  // 退款金额
    public final static String refund_count = CLASS_NAME + "refund_count";                                    // 退货数量
    public final static String product_id = CLASS_NAME + "product_id";                                        // 商品id
    public final static String product_name = CLASS_NAME + "product_name";                                    // 商品名称
    public final static String sku_info = CLASS_NAME + "sku_info";                                            // sku信息json
    public final static String product_main_image_url = CLASS_NAME + "product_main_image_url";                // 商品主图
    public final static String sku_image_url = CLASS_NAME + "sku_image_url";                                  // sku图片
    public final static String sku_id = CLASS_NAME + "sku_id";                                                // skuid 
    public final static String comment_id = CLASS_NAME + "comment_id";                                        // 评论 id
    public final static String delivered_type = CLASS_NAME + "delivered_type";                                // 1 买家手动确认收货， 2 系统自动确认收货 
    public final static String gmt_settle = CLASS_NAME + "gmt_settle";                                        // 结算时间
    public final static String status_ = CLASS_NAME + "status";                                               // create:订单创建,wait_pay:待支付,支付完成,待发货:wait_shipping,买家申请取消订单:apply_cancel, 买家关闭订单:close，已发货，运送中:shipping,已投递，比如入到快递柜:shipped,同意签收:agree_sign_receipt,拒绝签收:reject_sign_receipt,包裹返回:package_return,包裹卖家签收:package_seller_sign_receipt,已妥投:delivered,退款:refund,删除:delete
    public final static String settle_status = CLASS_NAME + "settle_status";                                  // 0 未结算，1 已经结算
    public final static String reverse_status = CLASS_NAME + "reverse_status";                                // 逆向状态。 
    public final static String seller_id = CLASS_NAME + "seller_id";                                          // 卖家id
    public final static String origin_price = CLASS_NAME + "origin_price";                                    // 成本价格
    public final static String profit_amount = CLASS_NAME + "profit_amount";                                  // 这笔子单获得利益
    public final static String promotion_price = CLASS_NAME + "promotion_price";                              // 当时促销价
    public final static String shipping_amount = CLASS_NAME + "shipping_amount";                              // 运费
    public final static String award_amount = CLASS_NAME + "award_amount";                                    // 奖励金额
    public final static String pay_amount = CLASS_NAME + "pay_amount";                                        // 实付金额
    public final static String discount_amount = CLASS_NAME + "discount_amount";                              // 优惠金额
    public final static String buyer_id = CLASS_NAME + "buyer_id";                                            // 订单id
    public final static String buyer_phone = CLASS_NAME + "buyer_phone";                                      // 买家手机号
    public final static String buyer_name = CLASS_NAME + "buyer_name";                                        // 买家名称
    public final static String buyer_weixin = CLASS_NAME + "buyer_weixin";                                    // 买家微信
    public final static String contry_ = CLASS_NAME + "contry";                                               // 国家
    public final static String province_ = CLASS_NAME + "province";                                           // 省
    public final static String city_ = CLASS_NAME + "city";                                                   // 市
    public final static String district_ = CLASS_NAME + "district";                                           // 区
    public final static String buyer_detail_address = CLASS_NAME + "buyer_detail_address";                    // 买家详细地址
    public final static String seller_name = CLASS_NAME + "seller_name";                                      // 卖家名称
    public final static String batch_num = CLASS_NAME + "batch_num";                                          // 批次数量
    public final static String state_ = CLASS_NAME + "state";                                                 // 快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值
    public final static String app_name = CLASS_NAME + "app_name";                                            // goudezhao
    public final static String channel_ = CLASS_NAME + "channel";                                             // 渠道来源，如抖音，等
    public final static String promoter_id = CLASS_NAME + "promoter_id";                                      // 推广者id
    public final static String transaction_id = CLASS_NAME + "transaction_id";                                // 支付事务id
    public final static String pay_type = CLASS_NAME + "pay_type";                                            // 支付方式，weixin
    public final static String prepay_id = CLASS_NAME + "prepay_id";                                          // 预支付id
    public final static String buyer_address_id = CLASS_NAME + "buyer_address_id";                            // 买家地址id
    public final static String gmt_down_order = CLASS_NAME + "gmt_down_order";                                // 下单时间
    public final static String gmt_pre_pay = CLASS_NAME + "gmt_pre_pay";                                      // 预支付时间
    public final static String gmt_pay = CLASS_NAME + "gmt_pay";                                              // 支付时间
    public final static String gmt_cancel = CLASS_NAME + "gmt_cancel";                                        // 订单取消时间
    public final static String cancel_user = CLASS_NAME + "cancel_user";                                      // 订单取消用户
    public final static String cancel_reason = CLASS_NAME + "cancel_reason";                                  // 取消原因
    public final static String gmt_to_shipping = CLASS_NAME + "gmt_to_shipping";                              // 打包时间
    public final static String shipping_user = CLASS_NAME + "shipping_user";                                  // shipping的用户
    public final static String gmt_delivered = CLASS_NAME + "gmt_delivered";                                  // 妥投时间
    public final static String delivered_user = CLASS_NAME + "delivered_user";                                // delivered的用户
    public final static String gmt_close = CLASS_NAME + "gmt_close";                                          // 订单关闭时间
    public final static String close_user = CLASS_NAME + "close_user";                                        // 关闭订单的用户
    public final static String close_reason = CLASS_NAME + "close_reason";                                    // 关闭原因
    public final static String gmt_un_shipping = CLASS_NAME + "gmt_un_shipping";                              // 重新打包的时间
    public final static String un_shipping_user = CLASS_NAME + "un_shipping_user";                            // 不打包用户
    public final static String un_shipping_reason = CLASS_NAME + "un_shipping_reason";                        // 发货回退原因
    public final static String gmt_shipped = CLASS_NAME + "gmt_shipped";                                      // 是否已经签收
    public final static String shipped_user = CLASS_NAME + "shipped_user";                                    // shipped的用户
    public final static String gmt_reject_sign_receipt = CLASS_NAME + "gmt_reject_sign_receipt";              // 拒绝签收时间
    public final static String reject_sign_receipt_reason = CLASS_NAME + "reject_sign_receipt_reason";        // 拒绝签收原因
    public final static String reject_sign_receipt_features = CLASS_NAME + "reject_sign_receipt_features";    // 拒绝签收的信息
    public final static String activity_info = CLASS_NAME + "activity_info";                                  // 活动信息
    public final static String comment_status = CLASS_NAME + "comment_status";                                // 评论状态
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //创建时间
    private Long createTimestamp;
    //修改时间
    private Long modifyTimestamp;
    //数量
    private Integer num;
    //单价
    private BigDecimal salePrice;
    //订单号
    private Long tradeOrderId;
    //包裹追踪号
    private String trackNumber;
    //退款金额
    private BigDecimal refundAmount;
    //退货数量
    private Integer refundCount;
    //商品id
    private Long productId;
    //商品名称
    private String productName;
    //sku信息json
    private String skuInfo;
    //商品主图
    private String productMainImageUrl;
    //sku图片
    private String skuImageUrl;
    //skuid 
    private Long skuId;
    //评论 id
    private Long commentId;
    //1 买家手动确认收货， 2 系统自动确认收货 
    private Integer deliveredType;
    //结算时间
    private Date gmtSettle;
    //create:订单创建,wait_pay:待支付,支付完成,待发货:wait_shipping,买家申请取消订单:apply_cancel, 买家关闭订单:close，已发货，运送中:shipping,已投递，比如入到快递柜:shipped,同意签收:agree_sign_receipt,拒绝签收:reject_sign_receipt,包裹返回:package_return,包裹卖家签收:package_seller_sign_receipt,已妥投:delivered,退款:refund,删除:delete
    private String status;
    //0 未结算，1 已经结算
    private Integer settleStatus;
    //逆向状态。 
    private String reverseStatus;
    //卖家id
    private Long sellerId;
    //成本价格
    private BigDecimal originPrice;
    //这笔子单获得利益
    private BigDecimal profitAmount;
    //当时促销价
    private BigDecimal promotionPrice;
    //运费
    private BigDecimal shippingAmount;
    //奖励金额
    private BigDecimal awardAmount;
    //实付金额
    private BigDecimal payAmount;
    //优惠金额
    private BigDecimal discountAmount;
    //订单id
    private Long buyerId;
    //买家手机号
    private String buyerPhone;
    //买家名称
    private String buyerName;
    //买家微信
    private String buyerWeixin;
    //国家
    private String contry;
    //省
    private String province;
    //市
    private String city;
    //区
    private String district;
    //买家详细地址
    private String buyerDetailAddress;
    //卖家名称
    private String sellerName;
    //批次数量
    private Integer batchNum;
    //快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值
    private String state;
    //goudezhao
    private String appName;
    //渠道来源，如抖音，等
    private String channel;
    //推广者id
    private Long promoterId;
    //支付事务id
    private String transactionId;
    //支付方式，weixin
    private String payType;
    //预支付id
    private String prepayId;
    //买家地址id
    private Long buyerAddressId;
    //下单时间
    private Date gmtDownOrder;
    //预支付时间
    private Date gmtPrePay;
    //支付时间
    private Date gmtPay;
    //订单取消时间
    private Date gmtCancel;
    //订单取消用户
    private String cancelUser;
    //取消原因
    private String cancelReason;
    //打包时间
    private Date gmtToShipping;
    //shipping的用户
    private String shippingUser;
    //妥投时间
    private Date gmtDelivered;
    //delivered的用户
    private String deliveredUser;
    //订单关闭时间
    private Date gmtClose;
    //关闭订单的用户
    private String closeUser;
    //关闭原因
    private String closeReason;
    //重新打包的时间
    private Date gmtUnShipping;
    //不打包用户
    private String unShippingUser;
    //发货回退原因
    private String unShippingReason;
    //是否已经签收
    private Date gmtShipped;
    //shipped的用户
    private String shippedUser;
    //拒绝签收时间
    private Date gmtRejectSignReceipt;
    //拒绝签收原因
    private String rejectSignReceiptReason;
    //拒绝签收的信息
    private String rejectSignReceiptFeatures;
    //活动信息
    private String activityInfo;
    //评论状态
    private Integer commentStatus;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 创建时间 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 修改时间 
     * @return
     */
    public Long getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 修改时间 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Long modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    /**
     * 数量 
     * @return
     */
    public Integer getNum() {
        return num;
    }
    /**
     * 数量 
     * @param num
     */
    public void setNum(Integer num) {
        this.num = num;
    }

    /**
     * 单价 
     * @return
     */
    public BigDecimal getSalePrice() {
        return salePrice;
    }
    /**
     * 单价 
     * @param salePrice
     */
    public void setSalePrice(BigDecimal salePrice) {
        this.salePrice = salePrice;
    }

    /**
     * 订单号 
     * @return
     */
    public Long getTradeOrderId() {
        return tradeOrderId;
    }
    /**
     * 订单号 
     * @param tradeOrderId
     */
    public void setTradeOrderId(Long tradeOrderId) {
        this.tradeOrderId = tradeOrderId;
    }

    /**
     * 包裹追踪号 
     * @return
     */
    public String getTrackNumber() {
        return trackNumber;
    }
    /**
     * 包裹追踪号 
     * @param trackNumber
     */
    public void setTrackNumber(String trackNumber) {
        this.trackNumber = trackNumber;
    }

    /**
     * 退款金额 
     * @return
     */
    public BigDecimal getRefundAmount() {
        return refundAmount;
    }
    /**
     * 退款金额 
     * @param refundAmount
     */
    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    /**
     * 退货数量 
     * @return
     */
    public Integer getRefundCount() {
        return refundCount;
    }
    /**
     * 退货数量 
     * @param refundCount
     */
    public void setRefundCount(Integer refundCount) {
        this.refundCount = refundCount;
    }

    /**
     * 商品id 
     * @return
     */
    public Long getProductId() {
        return productId;
    }
    /**
     * 商品id 
     * @param productId
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    /**
     * 商品名称 
     * @return
     */
    public String getProductName() {
        return productName;
    }
    /**
     * 商品名称 
     * @param productName
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    /**
     * sku信息json 
     * @return
     */
    public String getSkuInfo() {
        return skuInfo;
    }
    /**
     * sku信息json 
     * @param skuInfo
     */
    public void setSkuInfo(String skuInfo) {
        this.skuInfo = skuInfo;
    }

    /**
     * 商品主图 
     * @return
     */
    public String getProductMainImageUrl() {
        return productMainImageUrl;
    }
    /**
     * 商品主图 
     * @param productMainImageUrl
     */
    public void setProductMainImageUrl(String productMainImageUrl) {
        this.productMainImageUrl = productMainImageUrl;
    }

    /**
     * sku图片 
     * @return
     */
    public String getSkuImageUrl() {
        return skuImageUrl;
    }
    /**
     * sku图片 
     * @param skuImageUrl
     */
    public void setSkuImageUrl(String skuImageUrl) {
        this.skuImageUrl = skuImageUrl;
    }

    /**
     * skuid  
     * @return
     */
    public Long getSkuId() {
        return skuId;
    }
    /**
     * skuid  
     * @param skuId
     */
    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    /**
     * 评论 id 
     * @return
     */
    public Long getCommentId() {
        return commentId;
    }
    /**
     * 评论 id 
     * @param commentId
     */
    public void setCommentId(Long commentId) {
        this.commentId = commentId;
    }

    /**
     * 1 买家手动确认收货， 2 系统自动确认收货  
     * @return
     */
    public Integer getDeliveredType() {
        return deliveredType;
    }
    /**
     * 1 买家手动确认收货， 2 系统自动确认收货  
     * @param deliveredType
     */
    public void setDeliveredType(Integer deliveredType) {
        this.deliveredType = deliveredType;
    }

    /**
     * 结算时间 
     * @return
     */
    public Date getGmtSettle() {
        return gmtSettle;
    }
    /**
     * 结算时间 
     * @param gmtSettle
     */
    public void setGmtSettle(Date gmtSettle) {
        this.gmtSettle = gmtSettle;
    }

    /**
     * create:订单创建,wait_pay:待支付,支付完成,待发货:wait_shipping,买家申请取消订单:apply_cancel, 买家关闭订单:close，已发货，运送中:shipping,已投递，比如入到快递柜:shipped,同意签收:agree_sign_receipt,拒绝签收:reject_sign_receipt,包裹返回:package_return,包裹卖家签收:package_seller_sign_receipt,已妥投:delivered,退款:refund,删除:delete 
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * create:订单创建,wait_pay:待支付,支付完成,待发货:wait_shipping,买家申请取消订单:apply_cancel, 买家关闭订单:close，已发货，运送中:shipping,已投递，比如入到快递柜:shipped,同意签收:agree_sign_receipt,拒绝签收:reject_sign_receipt,包裹返回:package_return,包裹卖家签收:package_seller_sign_receipt,已妥投:delivered,退款:refund,删除:delete 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 0 未结算，1 已经结算 
     * @return
     */
    public Integer getSettleStatus() {
        return settleStatus;
    }
    /**
     * 0 未结算，1 已经结算 
     * @param settleStatus
     */
    public void setSettleStatus(Integer settleStatus) {
        this.settleStatus = settleStatus;
    }

    /**
     * 逆向状态。  
     * @return
     */
    public String getReverseStatus() {
        return reverseStatus;
    }
    /**
     * 逆向状态。  
     * @param reverseStatus
     */
    public void setReverseStatus(String reverseStatus) {
        this.reverseStatus = reverseStatus;
    }

    /**
     * 卖家id 
     * @return
     */
    public Long getSellerId() {
        return sellerId;
    }
    /**
     * 卖家id 
     * @param sellerId
     */
    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    /**
     * 成本价格 
     * @return
     */
    public BigDecimal getOriginPrice() {
        return originPrice;
    }
    /**
     * 成本价格 
     * @param originPrice
     */
    public void setOriginPrice(BigDecimal originPrice) {
        this.originPrice = originPrice;
    }

    /**
     * 这笔子单获得利益 
     * @return
     */
    public BigDecimal getProfitAmount() {
        return profitAmount;
    }
    /**
     * 这笔子单获得利益 
     * @param profitAmount
     */
    public void setProfitAmount(BigDecimal profitAmount) {
        this.profitAmount = profitAmount;
    }

    /**
     * 当时促销价 
     * @return
     */
    public BigDecimal getPromotionPrice() {
        return promotionPrice;
    }
    /**
     * 当时促销价 
     * @param promotionPrice
     */
    public void setPromotionPrice(BigDecimal promotionPrice) {
        this.promotionPrice = promotionPrice;
    }

    /**
     * 运费 
     * @return
     */
    public BigDecimal getShippingAmount() {
        return shippingAmount;
    }
    /**
     * 运费 
     * @param shippingAmount
     */
    public void setShippingAmount(BigDecimal shippingAmount) {
        this.shippingAmount = shippingAmount;
    }

    /**
     * 奖励金额 
     * @return
     */
    public BigDecimal getAwardAmount() {
        return awardAmount;
    }
    /**
     * 奖励金额 
     * @param awardAmount
     */
    public void setAwardAmount(BigDecimal awardAmount) {
        this.awardAmount = awardAmount;
    }

    /**
     * 实付金额 
     * @return
     */
    public BigDecimal getPayAmount() {
        return payAmount;
    }
    /**
     * 实付金额 
     * @param payAmount
     */
    public void setPayAmount(BigDecimal payAmount) {
        this.payAmount = payAmount;
    }

    /**
     * 优惠金额 
     * @return
     */
    public BigDecimal getDiscountAmount() {
        return discountAmount;
    }
    /**
     * 优惠金额 
     * @param discountAmount
     */
    public void setDiscountAmount(BigDecimal discountAmount) {
        this.discountAmount = discountAmount;
    }

    /**
     * 订单id 
     * @return
     */
    public Long getBuyerId() {
        return buyerId;
    }
    /**
     * 订单id 
     * @param buyerId
     */
    public void setBuyerId(Long buyerId) {
        this.buyerId = buyerId;
    }

    /**
     * 买家手机号 
     * @return
     */
    public String getBuyerPhone() {
        return buyerPhone;
    }
    /**
     * 买家手机号 
     * @param buyerPhone
     */
    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }

    /**
     * 买家名称 
     * @return
     */
    public String getBuyerName() {
        return buyerName;
    }
    /**
     * 买家名称 
     * @param buyerName
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    /**
     * 买家微信 
     * @return
     */
    public String getBuyerWeixin() {
        return buyerWeixin;
    }
    /**
     * 买家微信 
     * @param buyerWeixin
     */
    public void setBuyerWeixin(String buyerWeixin) {
        this.buyerWeixin = buyerWeixin;
    }

    /**
     * 国家 
     * @return
     */
    public String getContry() {
        return contry;
    }
    /**
     * 国家 
     * @param contry
     */
    public void setContry(String contry) {
        this.contry = contry;
    }

    /**
     * 省 
     * @return
     */
    public String getProvince() {
        return province;
    }
    /**
     * 省 
     * @param province
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * 市 
     * @return
     */
    public String getCity() {
        return city;
    }
    /**
     * 市 
     * @param city
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * 区 
     * @return
     */
    public String getDistrict() {
        return district;
    }
    /**
     * 区 
     * @param district
     */
    public void setDistrict(String district) {
        this.district = district;
    }

    /**
     * 买家详细地址 
     * @return
     */
    public String getBuyerDetailAddress() {
        return buyerDetailAddress;
    }
    /**
     * 买家详细地址 
     * @param buyerDetailAddress
     */
    public void setBuyerDetailAddress(String buyerDetailAddress) {
        this.buyerDetailAddress = buyerDetailAddress;
    }

    /**
     * 卖家名称 
     * @return
     */
    public String getSellerName() {
        return sellerName;
    }
    /**
     * 卖家名称 
     * @param sellerName
     */
    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }

    /**
     * 批次数量 
     * @return
     */
    public Integer getBatchNum() {
        return batchNum;
    }
    /**
     * 批次数量 
     * @param batchNum
     */
    public void setBatchNum(Integer batchNum) {
        this.batchNum = batchNum;
    }

    /**
     * 快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值 
     * @return
     */
    public String getState() {
        return state;
    }
    /**
     * 快递单当前状态，默认为0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签等10个基础物流状态，如需要返回高级物流状态，请参考 resultv2 传值 
     * @param state
     */
    public void setState(String state) {
        this.state = state;
    }

    /**
     * goudezhao 
     * @return
     */
    public String getAppName() {
        return appName;
    }
    /**
     * goudezhao 
     * @param appName
     */
    public void setAppName(String appName) {
        this.appName = appName;
    }

    /**
     * 渠道来源，如抖音，等 
     * @return
     */
    public String getChannel() {
        return channel;
    }
    /**
     * 渠道来源，如抖音，等 
     * @param channel
     */
    public void setChannel(String channel) {
        this.channel = channel;
    }

    /**
     * 推广者id 
     * @return
     */
    public Long getPromoterId() {
        return promoterId;
    }
    /**
     * 推广者id 
     * @param promoterId
     */
    public void setPromoterId(Long promoterId) {
        this.promoterId = promoterId;
    }

    /**
     * 支付事务id 
     * @return
     */
    public String getTransactionId() {
        return transactionId;
    }
    /**
     * 支付事务id 
     * @param transactionId
     */
    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    /**
     * 支付方式，weixin 
     * @return
     */
    public String getPayType() {
        return payType;
    }
    /**
     * 支付方式，weixin 
     * @param payType
     */
    public void setPayType(String payType) {
        this.payType = payType;
    }

    /**
     * 预支付id 
     * @return
     */
    public String getPrepayId() {
        return prepayId;
    }
    /**
     * 预支付id 
     * @param prepayId
     */
    public void setPrepayId(String prepayId) {
        this.prepayId = prepayId;
    }

    /**
     * 买家地址id 
     * @return
     */
    public Long getBuyerAddressId() {
        return buyerAddressId;
    }
    /**
     * 买家地址id 
     * @param buyerAddressId
     */
    public void setBuyerAddressId(Long buyerAddressId) {
        this.buyerAddressId = buyerAddressId;
    }

    /**
     * 下单时间 
     * @return
     */
    public Date getGmtDownOrder() {
        return gmtDownOrder;
    }
    /**
     * 下单时间 
     * @param gmtDownOrder
     */
    public void setGmtDownOrder(Date gmtDownOrder) {
        this.gmtDownOrder = gmtDownOrder;
    }

    /**
     * 预支付时间 
     * @return
     */
    public Date getGmtPrePay() {
        return gmtPrePay;
    }
    /**
     * 预支付时间 
     * @param gmtPrePay
     */
    public void setGmtPrePay(Date gmtPrePay) {
        this.gmtPrePay = gmtPrePay;
    }

    /**
     * 支付时间 
     * @return
     */
    public Date getGmtPay() {
        return gmtPay;
    }
    /**
     * 支付时间 
     * @param gmtPay
     */
    public void setGmtPay(Date gmtPay) {
        this.gmtPay = gmtPay;
    }

    /**
     * 订单取消时间 
     * @return
     */
    public Date getGmtCancel() {
        return gmtCancel;
    }
    /**
     * 订单取消时间 
     * @param gmtCancel
     */
    public void setGmtCancel(Date gmtCancel) {
        this.gmtCancel = gmtCancel;
    }

    /**
     * 订单取消用户 
     * @return
     */
    public String getCancelUser() {
        return cancelUser;
    }
    /**
     * 订单取消用户 
     * @param cancelUser
     */
    public void setCancelUser(String cancelUser) {
        this.cancelUser = cancelUser;
    }

    /**
     * 取消原因 
     * @return
     */
    public String getCancelReason() {
        return cancelReason;
    }
    /**
     * 取消原因 
     * @param cancelReason
     */
    public void setCancelReason(String cancelReason) {
        this.cancelReason = cancelReason;
    }

    /**
     * 打包时间 
     * @return
     */
    public Date getGmtToShipping() {
        return gmtToShipping;
    }
    /**
     * 打包时间 
     * @param gmtToShipping
     */
    public void setGmtToShipping(Date gmtToShipping) {
        this.gmtToShipping = gmtToShipping;
    }

    /**
     * shipping的用户 
     * @return
     */
    public String getShippingUser() {
        return shippingUser;
    }
    /**
     * shipping的用户 
     * @param shippingUser
     */
    public void setShippingUser(String shippingUser) {
        this.shippingUser = shippingUser;
    }

    /**
     * 妥投时间 
     * @return
     */
    public Date getGmtDelivered() {
        return gmtDelivered;
    }
    /**
     * 妥投时间 
     * @param gmtDelivered
     */
    public void setGmtDelivered(Date gmtDelivered) {
        this.gmtDelivered = gmtDelivered;
    }

    /**
     * delivered的用户 
     * @return
     */
    public String getDeliveredUser() {
        return deliveredUser;
    }
    /**
     * delivered的用户 
     * @param deliveredUser
     */
    public void setDeliveredUser(String deliveredUser) {
        this.deliveredUser = deliveredUser;
    }

    /**
     * 订单关闭时间 
     * @return
     */
    public Date getGmtClose() {
        return gmtClose;
    }
    /**
     * 订单关闭时间 
     * @param gmtClose
     */
    public void setGmtClose(Date gmtClose) {
        this.gmtClose = gmtClose;
    }

    /**
     * 关闭订单的用户 
     * @return
     */
    public String getCloseUser() {
        return closeUser;
    }
    /**
     * 关闭订单的用户 
     * @param closeUser
     */
    public void setCloseUser(String closeUser) {
        this.closeUser = closeUser;
    }

    /**
     * 关闭原因 
     * @return
     */
    public String getCloseReason() {
        return closeReason;
    }
    /**
     * 关闭原因 
     * @param closeReason
     */
    public void setCloseReason(String closeReason) {
        this.closeReason = closeReason;
    }

    /**
     * 重新打包的时间 
     * @return
     */
    public Date getGmtUnShipping() {
        return gmtUnShipping;
    }
    /**
     * 重新打包的时间 
     * @param gmtUnShipping
     */
    public void setGmtUnShipping(Date gmtUnShipping) {
        this.gmtUnShipping = gmtUnShipping;
    }

    /**
     * 不打包用户 
     * @return
     */
    public String getUnShippingUser() {
        return unShippingUser;
    }
    /**
     * 不打包用户 
     * @param unShippingUser
     */
    public void setUnShippingUser(String unShippingUser) {
        this.unShippingUser = unShippingUser;
    }

    /**
     * 发货回退原因 
     * @return
     */
    public String getUnShippingReason() {
        return unShippingReason;
    }
    /**
     * 发货回退原因 
     * @param unShippingReason
     */
    public void setUnShippingReason(String unShippingReason) {
        this.unShippingReason = unShippingReason;
    }

    /**
     * 是否已经签收 
     * @return
     */
    public Date getGmtShipped() {
        return gmtShipped;
    }
    /**
     * 是否已经签收 
     * @param gmtShipped
     */
    public void setGmtShipped(Date gmtShipped) {
        this.gmtShipped = gmtShipped;
    }

    /**
     * shipped的用户 
     * @return
     */
    public String getShippedUser() {
        return shippedUser;
    }
    /**
     * shipped的用户 
     * @param shippedUser
     */
    public void setShippedUser(String shippedUser) {
        this.shippedUser = shippedUser;
    }

    /**
     * 拒绝签收时间 
     * @return
     */
    public Date getGmtRejectSignReceipt() {
        return gmtRejectSignReceipt;
    }
    /**
     * 拒绝签收时间 
     * @param gmtRejectSignReceipt
     */
    public void setGmtRejectSignReceipt(Date gmtRejectSignReceipt) {
        this.gmtRejectSignReceipt = gmtRejectSignReceipt;
    }

    /**
     * 拒绝签收原因 
     * @return
     */
    public String getRejectSignReceiptReason() {
        return rejectSignReceiptReason;
    }
    /**
     * 拒绝签收原因 
     * @param rejectSignReceiptReason
     */
    public void setRejectSignReceiptReason(String rejectSignReceiptReason) {
        this.rejectSignReceiptReason = rejectSignReceiptReason;
    }

    /**
     * 拒绝签收的信息 
     * @return
     */
    public String getRejectSignReceiptFeatures() {
        return rejectSignReceiptFeatures;
    }
    /**
     * 拒绝签收的信息 
     * @param rejectSignReceiptFeatures
     */
    public void setRejectSignReceiptFeatures(String rejectSignReceiptFeatures) {
        this.rejectSignReceiptFeatures = rejectSignReceiptFeatures;
    }

    /**
     * 活动信息 
     * @return
     */
    public String getActivityInfo() {
        return activityInfo;
    }
    /**
     * 活动信息 
     * @param activityInfo
     */
    public void setActivityInfo(String activityInfo) {
        this.activityInfo = activityInfo;
    }

    /**
     * 评论状态 
     * @return
     */
    public Integer getCommentStatus() {
        return commentStatus;
    }
    /**
     * 评论状态 
     * @param commentStatus
     */
    public void setCommentStatus(Integer commentStatus) {
        this.commentStatus = commentStatus;
    }

    @Override
    public String toString() {
        return "VvTradeOrderLineEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",createTimestamp=" + createTimestamp +
                ",modifyTimestamp=" + modifyTimestamp +
                ",num=" + num +
                ",salePrice=" + salePrice +
                ",tradeOrderId=" + tradeOrderId +
                ",trackNumber=" + trackNumber +
                ",refundAmount=" + refundAmount +
                ",refundCount=" + refundCount +
                ",productId=" + productId +
                ",productName=" + productName +
                ",skuInfo=" + skuInfo +
                ",productMainImageUrl=" + productMainImageUrl +
                ",skuImageUrl=" + skuImageUrl +
                ",skuId=" + skuId +
                ",commentId=" + commentId +
                ",deliveredType=" + deliveredType +
                ",gmtSettle=" + gmtSettle +
                ",status=" + status +
                ",settleStatus=" + settleStatus +
                ",reverseStatus=" + reverseStatus +
                ",sellerId=" + sellerId +
                ",originPrice=" + originPrice +
                ",profitAmount=" + profitAmount +
                ",promotionPrice=" + promotionPrice +
                ",shippingAmount=" + shippingAmount +
                ",awardAmount=" + awardAmount +
                ",payAmount=" + payAmount +
                ",discountAmount=" + discountAmount +
                ",buyerId=" + buyerId +
                ",buyerPhone=" + buyerPhone +
                ",buyerName=" + buyerName +
                ",buyerWeixin=" + buyerWeixin +
                ",contry=" + contry +
                ",province=" + province +
                ",city=" + city +
                ",district=" + district +
                ",buyerDetailAddress=" + buyerDetailAddress +
                ",sellerName=" + sellerName +
                ",batchNum=" + batchNum +
                ",state=" + state +
                ",appName=" + appName +
                ",channel=" + channel +
                ",promoterId=" + promoterId +
                ",transactionId=" + transactionId +
                ",payType=" + payType +
                ",prepayId=" + prepayId +
                ",buyerAddressId=" + buyerAddressId +
                ",gmtDownOrder=" + gmtDownOrder +
                ",gmtPrePay=" + gmtPrePay +
                ",gmtPay=" + gmtPay +
                ",gmtCancel=" + gmtCancel +
                ",cancelUser=" + cancelUser +
                ",cancelReason=" + cancelReason +
                ",gmtToShipping=" + gmtToShipping +
                ",shippingUser=" + shippingUser +
                ",gmtDelivered=" + gmtDelivered +
                ",deliveredUser=" + deliveredUser +
                ",gmtClose=" + gmtClose +
                ",closeUser=" + closeUser +
                ",closeReason=" + closeReason +
                ",gmtUnShipping=" + gmtUnShipping +
                ",unShippingUser=" + unShippingUser +
                ",unShippingReason=" + unShippingReason +
                ",gmtShipped=" + gmtShipped +
                ",shippedUser=" + shippedUser +
                ",gmtRejectSignReceipt=" + gmtRejectSignReceipt +
                ",rejectSignReceiptReason=" + rejectSignReceiptReason +
                ",rejectSignReceiptFeatures=" + rejectSignReceiptFeatures +
                ",activityInfo=" + activityInfo +
                ",commentStatus=" + commentStatus +
                "}";
    }
}